<?php
/**
* HTTPレスポンスをラップするクラス
*
* PHP version 5
*
* @package    core
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class charcoal_Response 
{
	private $_data;
	private $_status;

	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
		$this->_data = array();
	}

	/*
	 *    ステータスコードを取得
	 */
	public function getStatusCode()
	{
		return $this->_status;
	}

	/*
	 *    ステータスコードを設定
	 */
	public function setStatusCode( $status_code )
	{
		$this->_status = status_code;
	}

	/*
	 *    キー一覧を取得
	 */
	public function getKeys()
	{
		return array_keys( $this->_data );
	}

	/*
	 * レスポンスデータを取得
	 */
	public function get( $key )
	{
		return $this->_data[ $key ];
	}

	/*
	 * レスポンスデータを設定
	 */
	public function set( $key, $value )
	{
		$this->_data[ $key ] = $value;
	}

	/*
	 * ダンプ
	 */
	public function dump()
	{
		System::dumpArray( $this->_data );
	}
}
